]> git.zerfleddert.de Git - m1-debian/commitdiff
rename dcp
authorThomas Glanzmann <thomas@glanzmann.de>
Fri, 18 Nov 2022 19:02:56 +0000 (20:02 +0100)
committerThomas Glanzmann <thomas@glanzmann.de>
Fri, 18 Nov 2022 19:02:56 +0000 (20:02 +0100)
dcp.sh [new file with mode: 0644]
gpu.sh [deleted file]

diff --git a/dcp.sh b/dcp.sh
new file mode 100644 (file)
index 0000000..195c0bc
--- /dev/null
+++ b/dcp.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+# SPDX-License-Identifier: MIT
+
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
+
+unset LC_CTYPE
+unset LANG
+
+build_linux()
+{
+(
+        test -d linux || git clone https://github.com/AsahiLinux/linux
+        cd linux
+        git fetch -a -t
+        git reset --hard asahi-6.1-rc5-11;
+        source "$HOME/.cargo/env"
+        curl -o .config https://tg.st/u/1dbcb0d155911d80f29e61153f53e39bff1c6198f9ed0673520d4cf45343fa9f.config
+        make LLVM=-14 olddefconfig
+        make LLVM=-14 -j `nproc` V=0 > /dev/null
+        sudo make LLVM=-14 V=0 modules_install > /dev/null
+        sudo make LLVM=-14 install
+)
+}
+
+build_m1n1()
+{
+(
+        test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
+        cd m1n1
+        git fetch -a -t
+        git reset --hard v1.1.8;
+        make -j `nproc`
+)
+}
+
+build_uboot()
+{
+(
+        test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
+        cd u-boot
+        git fetch -a -t
+        git reset --hard asahi-v2022.10-1;
+
+        make apple_m1_defconfig
+        make -j `nproc`
+)
+        cat m1n1/build/m1n1.bin   `find linux/arch/arm64/boot/dts/apple/ -name \*.dtb` <(gzip -c u-boot/u-boot-nodtb.bin) > u-boot.bin
+        sudo cp /boot/efi/m1n1/boot.bin /boot/efi/m1n1/`date +%Y%m%d%H%M`.bin
+        sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
+}
+
+mkdir -p build
+cd build
+
+build_linux
+build_m1n1
+build_uboot
diff --git a/gpu.sh b/gpu.sh
deleted file mode 100644 (file)
index b670fae..0000000
--- a/gpu.sh
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/usr/bin/env bash
-
-# SPDX-License-Identifier: MIT
-
-set -o errexit
-set -o nounset
-set -o pipefail
-set -o xtrace
-
-cd "$(dirname "$0")"
-
-unset LC_CTYPE
-unset LANG
-
-build_linux()
-{
-(
-        test -d linux || git clone https://github.com/AsahiLinux/linux
-        cd linux
-        git fetch -a -t
-        git reset --hard asahi-6.1-rc5-11;
-        source "$HOME/.cargo/env"
-        curl -o .config https://tg.st/u/1dbcb0d155911d80f29e61153f53e39bff1c6198f9ed0673520d4cf45343fa9f.config
-        make LLVM=-14 olddefconfig
-        make LLVM=-14 -j `nproc` V=0 > /dev/null
-        sudo make LLVM=-14 V=0 modules_install > /dev/null
-        sudo make LLVM=-14 install
-)
-}
-
-build_m1n1()
-{
-(
-        test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
-        cd m1n1
-        git fetch -a -t
-        git reset --hard v1.1.8;
-        make -j `nproc`
-)
-}
-
-build_uboot()
-{
-(
-        test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
-        cd u-boot
-        git fetch -a -t
-        git reset --hard asahi-v2022.10-1;
-
-        make apple_m1_defconfig
-        make -j `nproc`
-)
-        cat m1n1/build/m1n1.bin   `find linux/arch/arm64/boot/dts/apple/ -name \*.dtb` <(gzip -c u-boot/u-boot-nodtb.bin) > u-boot.bin
-        sudo cp /boot/efi/m1n1/boot.bin /boot/efi/m1n1/`date +%Y%m%d%H%M`.bin
-        sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
-}
-
-echo 'Warning: Has no gpu yet'
-
-mkdir -p build
-cd build
-
-build_linux
-build_m1n1
-build_uboot
Impressum, Datenschutz